<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>crack_cmd &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>crack_cmd
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.2% of total for procedures.">35 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">crack_cmd</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
private subroutine crack_cmd(cmd, old, new, ierr)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">replace</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span> <span class="o">-</span> [<span class="nv">M_strings</span>:<span class="nv">EDITING</span>] <span class="nv">Globally</span> <span class="nv">replace</span> <span class="nv">one</span> <span class="nv">substring</span> <span class="k">for</span> <span class="nv">another</span> <span class="nv">in</span> <span class="nv">string</span>
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code><span class="k">function</span><span class="w"> </span><span class="nf">replace(targetline,old,new,ierr) result </span><span class="p">(</span>newline<span class="p">)</span><span class="w"></span>

<span class="w"> </span><span class="n">character</span><span class="p">(</span><span class="n">len</span><span class="p">=</span><span class="o">*</span><span class="p">)</span><span class="w">                       </span><span class="p">::</span><span class="w"> </span><span class="n">targetline</span><span class="w"></span>
<span class="w"> </span><span class="n">character</span><span class="p">(</span><span class="n">len</span><span class="p">=</span><span class="o">*</span><span class="p">),</span><span class="n">intent</span><span class="p">(</span><span class="n">in</span><span class="p">),</span><span class="n">optional</span><span class="w">   </span><span class="p">::</span><span class="w"> </span><span class="n">old</span><span class="w"></span>
<span class="w"> </span><span class="n">character</span><span class="p">(</span><span class="n">len</span><span class="p">=</span><span class="o">*</span><span class="p">),</span><span class="n">intent</span><span class="p">(</span><span class="n">in</span><span class="p">),</span><span class="n">optional</span><span class="w">   </span><span class="p">::</span><span class="w"> </span><span class="n">new</span><span class="w"></span>
<span class="w"> </span><span class="n">integer</span><span class="p">,</span><span class="n">intent</span><span class="p">(</span><span class="n">out</span><span class="p">),</span><span class="n">optional</span><span class="w">           </span><span class="p">::</span><span class="w"> </span><span class="n">ierr</span><span class="w"></span>
<span class="w"> </span><span class="n">character</span><span class="p">(</span><span class="n">len</span><span class="p">=</span><span class="o">*</span><span class="p">),</span><span class="n">intent</span><span class="p">(</span><span class="n">in</span><span class="p">),</span><span class="n">optional</span><span class="w">   </span><span class="p">::</span><span class="w"> </span><span class="n">cmd</span><span class="w"></span>
<span class="w"> </span><span class="n">character</span><span class="p">(</span><span class="n">len</span><span class="p">=:),</span><span class="n">allocatable</span><span class="w">           </span><span class="p">::</span><span class="w"> </span><span class="nb">newline</span><span class="w"></span>
<span class="w"> </span><span class="n">integer</span><span class="p">,</span><span class="n">intent</span><span class="p">(</span><span class="n">in</span><span class="p">),</span><span class="n">optional</span><span class="w">            </span><span class="p">::</span><span class="w"> </span><span class="n">range</span><span class="p">(</span><span class="mi">2</span><span class="p">)</span><span class="w"></span>
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">Globally</span> <span class="nv">replace</span> <span class="nv">one</span> <span class="nv">substring</span> <span class="k">for</span> <span class="nv">another</span> <span class="nv">in</span> <span class="nv">string</span>.
<span class="nv">Either</span> <span class="nv">CMD</span> <span class="nv">or</span> <span class="nv">OLD</span> <span class="nv">and</span> <span class="nv">NEW</span> <span class="nv">must</span> <span class="nv">be</span> <span class="nv">specified</span>.
</code></pre></div>

<h2>OPTIONS</h2>
<div class="codehilite"><pre><span></span><code> <span class="nv">targetline</span>  <span class="nv">input</span> <span class="nv">line</span> <span class="nv">to</span> <span class="nv">be</span> <span class="nv">changed</span>
 <span class="nv">old</span>         <span class="nv">old</span> <span class="nv">substring</span> <span class="nv">to</span> <span class="nv">replace</span>
 <span class="nv">new</span>         <span class="nv">new</span> <span class="nv">substring</span>
 <span class="nv">cmd</span>         <span class="nv">alternate</span> <span class="nv">way</span> <span class="nv">to</span> <span class="nv">specify</span> <span class="nv">old</span> <span class="nv">and</span> <span class="nv">new</span> <span class="nv">string</span>, <span class="nv">in</span>
             <span class="nv">the</span> <span class="nv">form</span> <span class="nv">c</span><span class="o">/</span><span class="nv">old</span><span class="o">/</span><span class="nv">new</span><span class="o">/</span><span class="c1">; where &quot;/&quot; can be any character</span>
             <span class="nv">not</span> <span class="nv">in</span> <span class="s2">&quot;</span><span class="s">old</span><span class="s2">&quot;</span> <span class="nv">or</span> <span class="s2">&quot;</span><span class="s">new</span><span class="s2">&quot;</span>
 <span class="nv">ierr</span>        <span class="nv">error</span> <span class="nv">code</span>. <span class="k">iF</span> <span class="nv">ier</span> <span class="o">=</span> <span class="o">-</span><span class="mi">1</span> <span class="nv">bad</span> <span class="nv">directive</span>, <span class="o">&gt;=</span> <span class="mi">0</span> <span class="k">then</span>
             <span class="nv">count</span> <span class="nv">of</span> <span class="nv">changes</span> <span class="nv">made</span>
 <span class="nv">range</span>       <span class="k">if</span> <span class="nv">present</span>, <span class="nv">only</span> <span class="nv">change</span> <span class="nv">range</span><span class="ss">(</span><span class="mi">1</span><span class="ss">)</span> <span class="nv">to</span> <span class="nv">range</span><span class="ss">(</span><span class="mi">2</span><span class="ss">)</span> <span class="nv">of</span> <span class="nv">occurrences</span> <span class="nv">of</span> <span class="nv">old</span> <span class="nv">string</span>
</code></pre></div>

<h2>RETURNS</h2>
<div class="codehilite"><pre><span></span><code> newline     allocatable string returned
</code></pre></div>

<h2>EXAMPLES</h2>
<p>Sample Program:</p>
<div class="codehilite"><pre><span></span><code><span class="nv">program</span> <span class="nv">demo_replace</span>
<span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span> : <span class="nv">replace</span>
<span class="nv">implicit</span> <span class="nv">none</span>
<span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span>:<span class="ss">)</span>,<span class="nv">allocatable</span> :: <span class="nv">targetline</span>

<span class="nv">targetline</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">this is the input string</span><span class="s1">&#39;</span>

<span class="k">call</span> <span class="nl">testit</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">th</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">TH</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">THis is THe input string</span><span class="s1">&#39;</span><span class="ss">)</span>

<span class="o">!</span> <span class="nv">a</span> <span class="nv">null</span> <span class="nv">old</span> <span class="nv">substring</span> <span class="nv">means</span> <span class="s2">&quot;</span><span class="s">at beginning of line</span><span class="s2">&quot;</span>
<span class="k">call</span> <span class="nl">testit</span><span class="ss">(</span><span class="s1">&#39;&#39;</span>,<span class="s1">&#39;</span><span class="s">BEFORE:</span><span class="s1">&#39;</span>, <span class="s1">&#39;</span><span class="s">BEFORE:THis is THe input string</span><span class="s1">&#39;</span><span class="ss">)</span>

<span class="o">!</span> <span class="nv">a</span> <span class="nv">null</span> <span class="nv">new</span> <span class="nv">string</span> <span class="nv">deletes</span> <span class="nv">occurrences</span> <span class="nv">of</span> <span class="nv">the</span> <span class="nv">old</span> <span class="nv">substring</span>
<span class="k">call</span> <span class="nl">testit</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">i</span><span class="s1">&#39;</span>,<span class="s1">&#39;&#39;</span>, <span class="s1">&#39;</span><span class="s">BEFORE:THs s THe nput strng</span><span class="s1">&#39;</span><span class="ss">)</span>

<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">Examples of the use of RANGE=</span><span class="s1">&#39;</span>

<span class="nv">targetline</span><span class="o">=</span><span class="nv">replace</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">a b ab baaa aaaa</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">A</span><span class="s1">&#39;</span><span class="ss">)</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">replace a with A [</span><span class="s1">&#39;</span><span class="o">//</span><span class="nv">targetline</span><span class="o">//</span><span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>

<span class="nv">targetline</span><span class="o">=</span><span class="nv">replace</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">a b ab baaa aaaa</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">A</span><span class="s1">&#39;</span>,<span class="nv">range</span><span class="o">=</span>[<span class="mi">3</span>,<span class="mi">5</span>]<span class="ss">)</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">replace a with A instances 3 to 5 [</span><span class="s1">&#39;</span><span class="o">//</span><span class="nv">targetline</span><span class="o">//</span><span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>

<span class="nv">targetline</span><span class="o">=</span><span class="nv">replace</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">a b ab baaa aaaa</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a</span><span class="s1">&#39;</span>,<span class="s1">&#39;&#39;</span>,<span class="nv">range</span><span class="o">=</span>[<span class="mi">3</span>,<span class="mi">5</span>]<span class="ss">)</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">replace a with null instances 3 to 5 [</span><span class="s1">&#39;</span><span class="o">//</span><span class="nv">targetline</span><span class="o">//</span><span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>

<span class="nv">targetline</span><span class="o">=</span><span class="nv">replace</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">a b ab baaa aaaa aa aa a a a aa aaaaaa</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">aa</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">CCCC</span><span class="s1">&#39;</span>,<span class="nv">range</span><span class="o">=</span>[<span class="mi">3</span>,<span class="mi">5</span>]<span class="ss">)</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">replace aa with CCCC instances 3 to 5 [</span><span class="s1">&#39;</span><span class="o">//</span><span class="nv">targetline</span><span class="o">//</span><span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>

<span class="nv">contains</span>
<span class="nv">subroutine</span> <span class="nv">testit</span><span class="ss">(</span><span class="nv">old</span>,<span class="nv">new</span>,<span class="nv">expected</span><span class="ss">)</span>
<span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=*</span><span class="ss">)</span>,<span class="nv">intent</span><span class="ss">(</span><span class="nv">in</span><span class="ss">)</span> :: <span class="nv">old</span>,<span class="nv">new</span>,<span class="nv">expected</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">repeat</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="mi">79</span><span class="ss">)</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">STARTED [</span><span class="s1">&#39;</span><span class="o">//</span><span class="nv">targetline</span><span class="o">//</span><span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">OLD[</span><span class="s1">&#39;</span><span class="o">//</span><span class="nv">old</span><span class="o">//</span><span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>, <span class="s1">&#39;</span><span class="s"> NEW[</span><span class="s1">&#39;</span><span class="o">//</span><span class="nv">new</span><span class="o">//</span><span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>
<span class="nv">targetline</span><span class="o">=</span><span class="nv">replace</span><span class="ss">(</span><span class="nv">targetline</span>,<span class="nv">old</span>,<span class="nv">new</span><span class="ss">)</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">GOT     [</span><span class="s1">&#39;</span><span class="o">//</span><span class="nv">targetline</span><span class="o">//</span><span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">EXPECTED[</span><span class="s1">&#39;</span><span class="o">//</span><span class="nv">expected</span><span class="o">//</span><span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">TEST    [</span><span class="s1">&#39;</span>,<span class="nv">targetline</span>.<span class="nv">eq</span>.<span class="nv">expected</span>,<span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>
<span class="k">end</span> <span class="nv">subroutine</span> <span class="nv">testit</span>

<span class="k">end</span> <span class="nv">program</span> <span class="nv">demo_replace</span>
</code></pre></div>

<p>Expected output</p>
<div class="codehilite"><pre><span></span><code><span class="w"> </span><span class="o">===============================================================================</span><span class="w"></span>
<span class="w"> </span><span class="n">STARTED</span><span class="w"> </span><span class="o">[</span><span class="n">this is the input string</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="k">OLD</span><span class="o">[</span><span class="n">th</span><span class="o">]</span><span class="w"> </span><span class="k">NEW</span><span class="o">[</span><span class="n">TH</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="n">GOT</span><span class="w">     </span><span class="o">[</span><span class="n">THis is THe input string</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="n">EXPECTED</span><span class="o">[</span><span class="n">THis is THe input string</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="n">TEST</span><span class="w">    </span><span class="o">[</span><span class="n"> T </span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="o">===============================================================================</span><span class="w"></span>
<span class="w"> </span><span class="n">STARTED</span><span class="w"> </span><span class="o">[</span><span class="n">THis is THe input string</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="k">OLD</span><span class="err">[]</span><span class="w"> </span><span class="k">NEW</span><span class="o">[</span><span class="n">BEFORE:</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="n">GOT</span><span class="w">     </span><span class="o">[</span><span class="n">BEFORE:THis is THe input string</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="n">EXPECTED</span><span class="o">[</span><span class="n">BEFORE:THis is THe input string</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="n">TEST</span><span class="w">    </span><span class="o">[</span><span class="n"> T </span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="o">===============================================================================</span><span class="w"></span>
<span class="w"> </span><span class="n">STARTED</span><span class="w"> </span><span class="o">[</span><span class="n">BEFORE:THis is THe input string</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="k">OLD</span><span class="o">[</span><span class="n">i</span><span class="o">]</span><span class="w"> </span><span class="k">NEW</span><span class="err">[]</span><span class="w"></span>
<span class="w"> </span><span class="n">GOT</span><span class="w">     </span><span class="o">[</span><span class="n">BEFORE:THs s THe nput strng</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="n">EXPECTED</span><span class="o">[</span><span class="n">BEFORE:THs s THe nput strng</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="n">TEST</span><span class="w">    </span><span class="o">[</span><span class="n"> T </span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="n">Examples</span><span class="w"> </span><span class="k">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="k">use</span><span class="w"> </span><span class="k">of</span><span class="w"> </span><span class="k">RANGE</span><span class="o">=</span><span class="w"></span>
<span class="w"> </span><span class="nf">replace</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">A</span><span class="w"> </span><span class="o">[</span><span class="n">A b Ab bAAA AAAA</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="nf">replace</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">A</span><span class="w"> </span><span class="n">instances</span><span class="w"> </span><span class="mi">3</span><span class="w"> </span><span class="k">to</span><span class="w"> </span><span class="mi">5</span><span class="w"> </span><span class="o">[</span><span class="n">a b ab bAAA aaaa</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="nf">replace</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="k">null</span><span class="w"> </span><span class="n">instances</span><span class="w"> </span><span class="mi">3</span><span class="w"> </span><span class="k">to</span><span class="w"> </span><span class="mi">5</span><span class="w"> </span><span class="o">[</span><span class="n">a b ab b aaaa</span><span class="o">]</span><span class="w"></span>
<span class="w"> </span><span class="nf">replace</span><span class="w"> </span><span class="n">aa</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">CCCC</span><span class="w"> </span><span class="n">instances</span><span class="w"> </span><span class="mi">3</span><span class="w"> </span><span class="k">to</span><span class="w"> </span><span class="mi">5</span><span class="w"> </span><span class="o">[</span><span class="n">a b ab baaa aaCCCC CCCC CCCC a a a aa aaaaaa</span><span class="o">]</span><span class="w"></span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cmd%7E2"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>cmd</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-old%7E2"></span>character(len=:),</td>
  <td>intent(out),</td>
  <td></td>
  
  <td>allocatable</td><td>::</td>
  <td><strong>old</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-new%7E2"></span>character(len=:),</td>
  <td>intent(out),</td>
  <td></td>
  
  <td>allocatable</td><td>::</td>
  <td><strong>new</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ierr%7E3"></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ierr</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~crack_cmd~~CallsGraph Pages: 1 -->
<svg id="proccrack_cmdCallsGraph" width="162pt" height="32pt"
 viewBox="0.00 0.00 162.00 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~crack_cmd~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>proc~~crack_cmd~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 158,-28 158,4 -4,4"/>
<!-- proc~crack_cmd -->
<g id="proc~~crack_cmd~~CallsGraph_node1" class="node">
<title>proc~crack_cmd</title>
<polygon fill="none" stroke="#000000" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">crack_cmd</text>
</g>
<!-- proc~strtok -->
<g id="proc~~crack_cmd~~CallsGraph_node2" class="node">
<title>proc~strtok</title>
<g id="a_proc~~crack_cmd~~CallsGraph_node2"><a xlink:href=".././proc/strtok.html" xlink:title="strtok">
<polygon fill="#d94e8f" stroke="#d94e8f" points="154,-24 100,-24 100,0 154,0 154,-24"/>
<text text-anchor="middle" x="127" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">strtok</text>
</a>
</g>
</g>
<!-- proc~crack_cmd&#45;&gt;proc~strtok -->
<g id="proc~~crack_cmd~~CallsGraph_edge1" class="edge">
<title>proc~crack_cmd&#45;&gt;proc~strtok</title>
<path fill="none" stroke="#000000" d="M64.1627,-12C72.4287,-12 81.3889,-12 89.8834,-12"/>
<polygon fill="#000000" stroke="#000000" points="89.9357,-15.5001 99.9357,-12 89.9357,-8.5001 89.9357,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~crack_cmd~~CalledByGraph Pages: 1 -->
<svg id="proccrack_cmdCalledByGraph" width="162pt" height="32pt"
 viewBox="0.00 0.00 162.00 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~crack_cmd~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>proc~~crack_cmd~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 158,-28 158,4 -4,4"/>
<!-- proc~crack_cmd -->
<g id="proc~~crack_cmd~~CalledByGraph_node1" class="node">
<title>proc~crack_cmd</title>
<polygon fill="none" stroke="#000000" points="154,-24 90,-24 90,0 154,0 154,-24"/>
<text text-anchor="middle" x="122" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">crack_cmd</text>
</g>
<!-- proc~replace -->
<g id="proc~~crack_cmd~~CalledByGraph_node2" class="node">
<title>proc~replace</title>
<g id="a_proc~~crack_cmd~~CalledByGraph_node2"><a xlink:href=".././proc/replace.html" xlink:title="replace">
<polygon fill="#d94e8f" stroke="#d94e8f" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">replace</text>
</a>
</g>
</g>
<!-- proc~replace&#45;&gt;proc~crack_cmd -->
<g id="proc~~crack_cmd~~CalledByGraph_edge1" class="edge">
<title>proc~replace&#45;&gt;proc~crack_cmd</title>
<path fill="none" stroke="#000000" d="M54.2232,-12C62.0971,-12 70.8862,-12 79.4575,-12"/>
<polygon fill="#000000" stroke="#000000" points="79.7286,-15.5001 89.7286,-12 79.7286,-8.5001 79.7286,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>